package ru.landgrafhomyak.db.skeleton1.api.module

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.skeleton1.api.DebugApi

public interface Namespace<mUE : Any, IK : Any> {
	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getName")
	public val name: String

	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getPath")
	public val path: List<String>

	@DebugApi
	public val module: Module<mUE, IK>
}