package ru.landgrafhomyak.db.skeleton1.api.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.skeleton1.api.DebugApi
import ru.landgrafhomyak.db.skeleton1.api.DatabaseType

public interface Column<RT, tUE : Any, IK : Any> {
	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("name")
	public val name: String

	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("type")
	public val type: DatabaseType<RT>

	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getTable")
	public val table: Table<tUE, *, IK>
}