package ru.landgrafhomyak.db.skeleton1.api.errors.synchronization

import kotlin.RuntimeException
import ru.landgrafhomyak.db.skeleton1.api.DebugApi
import ru.landgrafhomyak.db.skeleton1.api.errors.SchemaDefinitionException
import ru.landgrafhomyak.db.skeleton1.api.errors.SchemaSynchronizationException
import ru.landgrafhomyak.db.skeleton1.api.module.Module

@DebugApi
public abstract class SchemaExecutionException : SchemaSynchronizationException {
	public constructor() : super()
	public constructor(message: String) : super(message)
	public constructor(message: String, cause: Throwable) : super(message, cause)
	public constructor(cause: Throwable) : super(cause)
	public constructor(message: String?, cause: Throwable?, @Suppress("unused", "LocalVariableName") _marker: Unit) : super(message, cause, _marker)
}