package ru.landgrafhomyak.db.skeleton1.api.runtime

import ru.landgrafhomyak.db.skeleton1.api.LowLevelApi
import ru.landgrafhomyak.db.skeleton1.api.statement._Statement

public interface Transaction<IK : Any> {
	public suspend fun <qUE : Any?> executeQuery_void2void(compiledQuery: _Statement.Void2Void<qUE, IK>)

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2row(compiledQuery: _Statement.Void2Row<qUE, IK>): OutputRow._Scope<qUE, IK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE, IK>): OutputRow._Scope<qUE, IK, Unit>?

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2table(compiledQuery: _Statement.Void2RowOrNull<qUE, IK>): OutputRow._Iterator<qUE, IK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2void(compiledQuery: _Statement.Void2Void<qUE, IK>): InputRow._Scope<qUE, IK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2row(compiledQuery: _Statement.Void2Row<qUE, IK>): InputRow._Scope<qUE, IK, OutputRow._Scope<qUE, IK, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE, IK>): InputRow._Scope<qUE, IK, OutputRow._Scope<qUE, IK, Unit>?>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2table(compiledQuery: _Statement.Void2RowOrNull<qUE, IK>): InputRow._Scope<qUE, IK, OutputRow._Iterator<qUE, IK, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeBatch_params2void(compiledQuery: _Statement.Void2Void<qUE, IK>): InputRow._Iterator<qUE, IK, Unit>

	public suspend fun rollback()

	public suspend fun commit()

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun _assertTransactionFinishedAndReleaseResources()
}